<template>
  <div class="image-button" :class="size" @click="clickBtn">
    <slot></slot>
  </div>
</template>

<script>
export default {
  props: {
    // medium、small、mini
    size: {
      type: String,
      default: "mini",
    },
  },
  data() {
    return {};
  },
  methods: {
    clickBtn() {
      this.$emit("handlerClcik");
    },
  },
};
</script>

<style lang="scss" scoped>
.image-button {
  display: inline-block;
  cursor: pointer;
  color: #fff;
  margin: 0 0 0 10px;
  font-size: 14px;
  background: url("~@/assets/images/ui/tab1.png");
  background-size: 100% 100%;
}
.small {
  padding: 3px 16px 5px 16px;
}
.mini {
  padding: 2px 11px 4px 11px;
}
.medium {
  padding: 4.5px 13px 6px 13px;
}
</style>
